
CloneClass( BlackMarketManager )

local INV_TO_CRAFT = Idstring("inventory_to_crafted")
local CRAFT_TO_INV = Idstring("crafted_to_inventroy")
local INV_ADD = Idstring("add_to_inventory")
local INV_REMOVE = Idstring("remove_from_inventory")
local CRAFT_ADD = Idstring("add_to_crafted")
local CRAFT_REMOVE = Idstring("remove_from_crafted")

Hooks:RegisterHook("BlackMarketManagerPostSetup")
function BlackMarketManager._setup(self)
	self.orig._setup(self)
	Hooks:Call("BlackMarketManagerPostSetup", self)
end

Hooks:RegisterHook("BlackMarketManagerModifyGetCosmeticsInstancesByWeaponId")
function BlackMarketManager:get_cosmetics_instances_by_weapon_id(weapon_id)
	local items = self.orig.get_cosmetics_instances_by_weapon_id(self, weapon_id)
	Hooks:Call("BlackMarketManagerModifyGetCosmeticsInstancesByWeaponId", self, weapon_id, items)
	return items
end

Hooks:RegisterHook("BlackMarketManagerPreGetInventoryTradable")
function BlackMarketManager.get_inventory_tradable(self)
	Hooks:Call("BlackMarketManagerPreGetInventoryTradable", self)
	return self._global.inventory_tradable
end

function BlackMarketManager:get_crafted_category(category)
	if not self._global.crafted_items then
		return {}
	end
	return self._global.crafted_items[category] or {}
end
